Browse Source

Integrate, --no-integrate

Ernesto Nicolás Carrea 5 years ago
parent
commit
cacdb4749d

+ 1 - 1
bin/module/apache/integrate.inc

@@ -1,5 +1,5 @@
 #!/bin/bash
 
 hestia_module_apache_integrate() {
-    hestia module web integrate
+    hestia package web-server integrate
 }

+ 1 - 1
bin/module/awstats/integrate.inc

@@ -1,5 +1,5 @@
 #!/bin/bash
 
 hestia_module_awstats_integrate() {
-    hestia module web integrate
+    hestia package web-server integrate
 }

+ 2 - 2
bin/module/install.inc

@@ -46,7 +46,7 @@ hestia_module_install() {
             done
         fi
 
-        if [ ! "$param_nointegrate" ]; then
+        if [ ! "$param_no_integrate" ]; then
             # Now integrate everything we've just installed
             for mod in $mod_provider $mod_requires; do
                 hestia module $mod integrate
@@ -82,7 +82,7 @@ hestia_module_install_check_requires() {
     for mod in $@; do
         [ "$HESTIA_DEBUG" ] && echo "Check dependency: $mod"
         if ! hestia_module_isinstalled $mod; then
-            if ! hestia module install $mod --nointegrate; then
+            if ! hestia module install $mod --no-integrate; then
                 echo "Module '${mod}' is required for module '${mod_name}' but can not be installed"
                 return 1
             fi

+ 1 - 1
bin/module/nginx/integrate.inc

@@ -1,5 +1,5 @@
 #!/bin/bash
 
 hestia_module_nginx_integrate() {
-    hestia module web integrate
+    hestia package web-server integrate
 }

+ 1 - 1
bin/module/php-fpm/integrate.inc

@@ -1,5 +1,5 @@
 #!/bin/bash
 
 hestia_module_php-fpm_integrate() {
-    hestia module web integrate
+    hestia package web-server integrate
 }

+ 11 - 7
bin/module/remove.inc

@@ -22,24 +22,28 @@ hestia_module_remove() {
                     return 1
                 fi
             else
-                hestia module $mod_name remove "$@"
-                hestia module $mod_name integrate
+                hestia module $mod_name remove "$@" --no-integrate
+                if [ ! "$param_no_integrate" ]; then
+                    hestia module $mod_name integrate
+                fi
             fi
         else
             # It's provided by something else
             for mod in $mod_providers; do
                 if hestia_module_isinstalled $mod; then
                     echo "Ok, 'remove ${mod_name}' means 'remove ${mod}'"
-                    if ! hestia module remove $mod --nointegrate; then
+                    if ! hestia module remove $mod --no-integrate; then
                         echo "Unable to remove '${mod_name}' because '${mod}' refuses to uninstall."
                     fi
                 fi
             done
 
-            hestia module $mod_name integrate
-            for mod in $mod_providers; do
-                hestia module $mod integrate
-            done
+            if [ ! "$param_no_integrate" ]; then
+                hestia module $mod_name integrate
+                for mod in $mod_providers; do
+                    hestia module $mod integrate
+                done
+            fi
         fi
     else
         echo "Usage: module remove module_name"